%define url_ver %(echo %{version} | cut -c 1-3)
%define major 0
%define api 1
%define gtk3api 2
%define majorkbd 0
%define apikbd 2
%define gtk3apikbd 3
%define libname %mklibname xfce4ui %{api} %{major}
%define develname %mklibname xfce4ui -d

Summary:	Various Xfce widgets for Xfce desktop environment
Summary(de):	Verschiedene Xfce Widgets für die Xfce Desktop-Umgebung
Name:		libxfce4ui
Version: 	4.12.1
Release: 	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.xz
#--------------------------------------------------
BuildRequires:	gettext-devel
BuildRequires:	xfce4-dev-tools
BuildRequires:	xfconf-devel
BuildRequires:	xsltproc
BuildRequires:	libxcb-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	%{_lib}atk1.0-devel
BuildRequires:	%{_lib}cairo-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	%{_lib}gladeui1-devel
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}ice-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:	%{_lib}sm-devel
BuildRequires:	%{_lib}startup-notification-1-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	libpthread-stubs
#-------------------------------------------------
Obsoletes:	libxfce4ui < %version-%release
Provides:	libxfce4ui = %version-%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Various Xfce widgets for Xfce desktop environment.

%description -l de
Verschiedene Xfce Widgets für die Xfce Desktop-Umgebung

%package -n %{libname}
Summary:	Gui libraries for Xfce
Summary(de):	Gui-Bibliotheken für Xfce
Group:		Graphical desktop/Xfce
Obsoletes:	libxfce4ui < %version-%release
Provides:	libxfce4ui = %version-%release
Provides:	libxfce4ui%{api}_%{major} = %version-%release

%description -n %{libname}
Gui libraries for Xfce desktop environment.

%description -n %{libname} -l de
Gui-Bibliotheken für die Xfce Desktop-Umgebung

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Summary(de):	Bibliotheken und Header-Dateien für %{name}
Group:		Graphical desktop/Xfce
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files for the %{name} library.

%description -n %{develname} -l de
Bibliotheken und Header-Dateien für %{name}

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
BuildRequires:	gtk-doc

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

%build
%define _unpackaged_files_terminate_build 0
./autogen.sh --prefix=/usr --libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-shared \
	--with-gnu-ld \
	--enable-startup-notification \
	--disable-static \
	--enable-gtk-doc \
	--enable-gtk-doc-html \
	--enable-gtk3
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_sysconfdir}/X11/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_bindir}/xfce4-about
%{_libdir}/libxfce4ui-%{api}.so.%{major}*
%{_libdir}/libxfce4ui-%{gtk3api}.so.%{major}*
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{majorkbd}*
%{_libdir}/libxfce4kbd-private-%{gtk3apikbd}.so.%{majorkbd}*
%{_libdir}/glade3/modules/%{name}*
%{_datadir}/glade3/catalogs/%{name}.*
%{_datadir}/glade3/pixmaps/hicolor/*/*/*%{name}*.png
%{_datadir}/locale
%{_datadir}/applications/xfce4-about.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce4-logo.png

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/%{name}-%{api}.so
%{_libdir}/%{name}-%{gtk3api}.so
%{_includedir}/xfce4/%{name}-*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*xfce4kbd-private-%{apikbd}.so
%{_libdir}/*xfce4kbd-private-%{gtk3apikbd}.so
%{_includedir}/xfce4/*xfce4kbd-private-%{apikbd}
%{_includedir}/xfce4/*xfce4kbd-private-%{gtk3apikbd}

%files doc
%defattr(-,root,root)
%doc AUTHORS README NEWS THANKS
%{_datadir}/gtk-doc/html/%{name}
%define _missing_doc_files_terminate_build 0

%changelog
* Sat Jun 03 2017 threepio <threepio> 4.12.1-1uplos2017
- rebuild for uplos


* Mon Jan 25 2016 marcin82 <fixxer1982@gmail.com> 4.12.1-2pclos2016
- re-included xfce4-keyboard-shortcuts.xml into xdg/xfce config dir
- added BR gettext-devel

* Sun Mar 15 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2015
- 4.12.1

* Sat Feb 28 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add BR libpthread-stubs

